/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct PaymentMethod {
    #[serde(rename = "type", skip_serializing_if = "Option::is_none")]
    pub r#type: Option<String>,
    #[serde(rename = "last_four", skip_serializing_if = "Option::is_none")]
    pub last_four: Option<i32>,
    #[serde(rename = "exp_month", skip_serializing_if = "Option::is_none")]
    pub exp_month: Option<i32>,
    #[serde(rename = "exp_year", skip_serializing_if = "Option::is_none")]
    pub exp_year: Option<i32>,
    #[serde(rename = "card_brand", skip_serializing_if = "Option::is_none")]
    pub card_brand: Option<String>,
    #[serde(rename = "name", skip_serializing_if = "Option::is_none")]
    pub name: Option<String>,
}

impl PaymentMethod {
    pub fn new() -> PaymentMethod {
        PaymentMethod {
            r#type: None,
            last_four: None,
            exp_month: None,
            exp_year: None,
            card_brand: None,
            name: None,
        }
    }
}
